<div class="c-body">
    <?php if( $this->escorts_count ): ?>
        <div class="c-title"><?=__('select_escort')?></div>
        <?php function hasStatusBit($old_status, $status){
            $result = true;
            $result = ($old_status & $status) && $result;
            return $result;
        }
        $for = $this->for; ?>
		
		<?php $k = 0; foreach( $this->escorts as $escort ): $escort = new Model_EscortV2Item($escort); ?>
            <?php if( $this->escorts_count == 1 ): ?>
                <div class="escort-item pos-single">
                   
                    <?php
                    $is_owner_disabled = hasStatusBit( $escort['status'], Model_EscortsV2::ESCORT_STATUS_OWNER_DISABLED );
                    $is_not_have_package = ( !$escort['package'] || $escort['expires'] < 0 );
                    
					?>
					
                    <?php $_link_1 = $this->getLink('online-billing-v2') . '?escort_id=' . $escort['id']; $_link_2 = $this->getLink('mob-gotd');
                        $notice = null; $_btn_1 = __('mob_status_no_package_btn'); $_btn_2 = __('mob_buy_gotd'); $_text_1 = $_text_2 = null; ?>
                    <?php if ( $is_owner_disabled ) {
                        $_link_1 = $_link_2 = "/private-v2/ajax-escorts-do?a=activate&escort_id=" . $escort['id'] . "&is_active=0&notajax=1";
                        $_btn_1 = $_btn_2 = __('mob_status_owner_disabled_btn');
                        $_text_1 = $_text_2 = __('mob_status_owner_disabled_text');
                        $notice = 'owner_disabled';
                    } elseif ( $escort['need_age_verification'] != 3 ) {
                        $_link_1 = $_link_2 = $this->getLink('escort-age-verification') . '?escort_id=' . $escort['id'];
                        $_btn_1 = $_btn_2 = __('mob_status_not_certified_text_btn');
                        $_text_1 = $_text_2 = __('mob_status_not_certified_text');
                        $notice = 'age_verif';
					}elseif( !$escort['has_active_package'] ){
                        $_link_1 = $_link_2 = $this->getLink('online-billing-v2') . '?escort_id=' . $escort['id'];
                        $_link_2 = $this->getLink('private-v2-status-has-no-package') . '?escort_id=' . $escort['id'];
                        $_text_1 = null;
                        $_text_2 = __('mob_status_no_package_text');
                        $notice = 'no_package';
                    } ?>

                    <a class="esocrt-for-packages" href="<?=${'_link_' . $this->action}?>">
                        <div>
                            <img src="<?= ( $main = $escort->getMainPhoto() ) ? $main->getUrl('agency_p100', true) : _st('no-photo.jpg') ?>"
                                 alt="<?=$escort['showname']?>" />
                            <span class="show-name"><?=$escort['showname']?></span>

                            <?php if( $notice ): ?>
                                <?php if( $notice == 'no_package' ): ?>
                                    <?php if( $this->action == 2 ): ?>
                                        <span class="<?=$notice?>"><?=__('mob_' . $notice)?></span>
                                    <?php endif; ?>
                                <?php else: ?>
                                    <span class="<?=$notice?>"><?=__('mob_' . $notice)?></span>
                                <?php endif; ?>
                            <?php endif; ?>
                        </div>
                    </a>
                </div>

                <?php if( ${'_text_' . $this->action} ): ?>
                    <p class="note-info"><?=${'_text_' . $this->action}?></p>
                <?php endif; ?>

                <a class="status-link" href="<?=${'_link_' . $this->action}?>">
                    <?=${'_btn_' . $this->action}?>
                </a>
            <?php else: ?>
                <div class="escort-item pos-<?=( $k % 2 ) ? 'r' : 'l'?>">
                    <?php //if( $_GET['test'] == 3 ){ echo $escort['need_age_verification']; } ?>
                    <?php
                    $is_owner_disabled = hasStatusBit( $escort['status'], Model_EscortsV2::ESCORT_STATUS_OWNER_DISABLED );
                    $is_not_have_package = ( !$escort['package'] || $escort['expires'] < 0 );
                    ?>

                    <?php $_link_1 = $this->getLink('online-billing-v2'); $_link_2 = $this->getLink('mob-gotd'); $notice = null; ?>
                    <?php if ( $is_owner_disabled ) {
                        $_link_1 = $_link_2 = $this->getLink('private-v2-status-owner-disabled') . '?escort_id=' . $escort['id'];
                        $notice = 'owner_disabled';
                    } elseif ( $escort['need_age_verification'] != 3 ) {
                        $_link_1 = $_link_2 = $this->getLink('private-v2-status-not-age-certified') . '?escort_id=' . $escort['id'];
                        $notice = 'age_verif';
					} elseif( !$escort['has_active_package'] ){
                        $_link_1 = $this->getLink('online-billing-v2') . '?escort_id=' . $escort['id'];
                        $_link_2 = $this->getLink('private-v2-status-has-no-package') . '?escort_id=' . $escort['id'];
                        $notice = 'no_package';
                    } ?>

                    <a class="esocrt-for-packages" href="<?=${'_link_' . $this->action}?>">
                        <div>
                            <img src="<?= ( $main = $escort->getMainPhoto() ) ? $main->getUrl('agency_p100', true) : _st('no-photo.jpg') ?>"
                                 alt="<?=$escort['showname']?>" />
                            <span class="show-name"><?=$escort['showname']?></span>

                            <?php if( $notice ): ?>
                                <?php if( $notice == 'no_package' ): ?>
                                    <?php if( $this->action == 2 ): ?>
                                        <span class="<?=$notice?>"><?=__('mob_' . $notice)?></span>
                                    <?php endif; ?>
                                <?php else: ?>
                                    <span class="<?=$notice?>"><?=__('mob_' . $notice)?></span>
                                <?php endif; ?>
                            <?php endif; ?>
                        </div>
                    </a>
                </div>
            <?php endif; ?>
        <?php $k += 1; endforeach; ?>
					
		<? if($this->shopong_cart_escorts_count > 0): ?>			
			<div class="mob-hr"></div>			
			<a href="<?= $this->getLink('mob-agency-shopping-cart')?>" class="checkout-btn-long noselect"><i></i><?= __('go-to-cart')?></a>
		<? endif; ?>
		
    <?php else: ?>
        <div class="c-title"><?=__('mob_pv2_alert_no_profile_yet')?></div>
        <a class="status-link ffff" href="<?=$this->getLink('private-v2-profile')?>">
            <?= __('mob_add_new_escort_profile') ?>
        </a>
    <?php endif; ?>
</div>

<style>
    .c-body { text-align: center; font-size: 0; }
    .c-body .escort-item { text-align: center; display: inline-block; vertical-align: top; width: 142px; font-size: 0;
        margin: 2px 2px 10px; }
    .c-body .escort-item,
    .c-body .escort-item * { font-size: 12px; }
    .c-body .escort-item.pos-single { margin: 0; }
    /*.c-body .escort-item.pos-r { margin-left: 10px; }*/
    .esocrt-for-packages { display: block; width: 100%; padding-bottom: 20px;
        position: relative; }
    .esocrt-for-packages img { width: 100%; height: auto; vertical-align: top; }
    .esocrt-for-packages .show-name { position: absolute; left: 0; bottom: 0; display: block; height: 20px;
        line-height: 20px; width: 100%; background: #f3f3f3; color: #2262C1; }
    .esocrt-for-packages .owner_disabled,
    .esocrt-for-packages .age_verif,
    .esocrt-for-packages .no_package { width: 110px; position: absolute; right: 0; bottom: 35px; height: 15px;
        line-height: 15px; color: #ffffff; font-size: 10px; text-transform: uppercase; text-align: center; opacity: 0.9; }
    .esocrt-for-packages .owner_disabled { background: #1e88e5; }
    .esocrt-for-packages .age_verif { background: #fb8c00; }
    .esocrt-for-packages .no_package { background: #546e7a; }

    .note-info { margin: 15px 0; }
    .status-link { display: block; height: auto;
        padding: 15px 10px; margin: 0 auto; background: #96c552 !important; border-radius: 3px; text-transform: uppercase;
        box-sizing: border-box; border: none; color: #fff !important; text-align: center; text-decoration: none;
        font-size: 14px; font-weight: bold; line-height: 11px; margin-top: 10px !important; width: 100%; }
    .status-link:active { text-decoration: none !important; }
</style>